Upstream information

CVE-2022-23607 at MITRE

Description

treq is an HTTP library inspired by requests but written on top of Twisted's Agents. Treq's request methods (`treq.get`, `treq.post`, etc.) and `treq.client.HTTPClient` constructor accept cookies as a dictionary. Such cookies are not bound to a single domain, and are therefore sent to *every* domain ("supercookies"). This can potentially cause sensitive information to leak upon an HTTP redirect to a different domain., e.g. should `https://example.com` redirect to `http://cloudstorageprovider.com` the latter will receive the cookie `session`. Treq 2021.1.0 and later bind cookies given to request methods (`treq.request`, `treq.get`, `HTTPClient.request`, `HTTPClient.get`, etc.) to the origin of the *url* parameter. Users are advised to upgrade. For users unable to upgrade Instead of passing a dictionary as the *cookies* argument, pass a `http.cookiejar.CookieJar` instance with properly domain- and scheme-scoped cookies in it.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having important severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 4.3
Vector AV:N/AC:M/Au:N/C:P/I:N/A:N
Access Vector Network
Access Complexity Medium
Authentication None
Confidentiality Impact Partial
Integrity Impact None
Availability Impact None
CVSS v3 Scores
  National Vulnerability Database
Base Score 7.4
Vector CVSS:3.1/AV:N/AC:L/PR:N/UI:R/S:C/C:H/I:N/A:N
Attack Vector Network
Attack Complexity Low
Privileges Required None
User Interaction Required
Scope Changed
Confidentiality Impact High
Integrity Impact None
Availability Impact None
CVSSv3 Version 3.1
SUSE Bugzilla entry: 1195432 [IN_PROGRESS]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Package Hub 15 SP3
  • python2-treq >= 20.3.0-bp153.2.3.1
  • python3-treq >= 20.3.0-bp153.2.3.1
Patchnames:
openSUSE-2022-10098
openSUSE Leap 15.3
  • python2-treq >= 20.3.0-bp153.2.3.1
  • python3-treq >= 20.3.0-bp153.2.3.1
Patchnames:
openSUSE-2022-10098
openSUSE Tumbleweed
  • python310-treq >= 22.1.0-1.1
  • python38-treq >= 22.1.0-1.1
  • python39-treq >= 22.1.0-1.1
Patchnames:
openSUSE Tumbleweed GA python310-treq-22.1.0-1.1


SUSE Timeline for this CVE

CVE page created: Tue Feb 1 17:01:13 2022
CVE page last modified: Wed Oct 26 23:49:19 2022